<app-menu></app-menu>
<div class="container mat-elevation-z8">

        <div class="row">
                <mat-toolbar color="primary">
                        <span>Consulta Alumno</span>
                </mat-toolbar>
        </div>

        <div class="col-12" style="margin-top: 3%">

                <mat-form-field class="col-md-6">
                        <mat-label>Nombres</mat-label>
                        <input matInput [(ngModel)]="nombres">
                </mat-form-field>

                <mat-form-field class="col-md-6">
                        <mat-label>Apellidos</mat-label>
                        <input matInput [(ngModel)]="apellidos">
                </mat-form-field>

                <mat-form-field class="col-3">
                        <mat-label>Telefono</mat-label>
                        <input matInput [(ngModel)]="telefono">
                </mat-form-field>

                <mat-form-field class="col-3">
                        <mat-label>DNI</mat-label>
                        <input matInput [(ngModel)]="dni">
                </mat-form-field>

                <mat-form-field class="col-3">
                        <mat-label>Correo</mat-label>
                        <input matInput [(ngModel)]="correo">
                </mat-form-field>
        </div>

        <div class="col-12">

                <mat-form-field class="col-3">
                        <mat-label>Pais</mat-label>
                        <mat-select [(ngModel)]="selPais">
                                <mat-option value="-1"> [Seleccione] </mat-option>
                                <mat-option [value]="x.idPais" *ngFor="let x of pais">
                                        {{x.nombre}}
                                </mat-option>
                        </mat-select>
                </mat-form-field>

                <mat-form-field class="col-3">
                        <mat-label>Modalidad</mat-label>
                        <mat-select [(ngModel)]="selModalidad">
                                <mat-option value="-1"> [Seleccione] </mat-option>
                                <mat-option [value]="x.idDataCatalogo" *ngFor="let x of modalidad">
                                        {{x.descripcion}}
                                </mat-option>
                        </mat-select>
                </mat-form-field>

             
                <mat-checkbox class="example-margin" checked class="col-3" [(ngModel)]="estado">Activo
                </mat-checkbox>

                <button mat-raised-button type="submit" color="primary" (click)="consulta()">Filtrar</button>
                <button mat-raised-button type="submit" color="warn" (click)="exportarPDF()">PDF</button>


                <div class="col-12">
                        <div class="mat-elevation-z8">
                                <mat-table class="mat-elevation-z8" [dataSource]="dataSource" style="width: 100%;">

                                        <ng-container matColumnDef="idAlumno">
                                                <th mat-header-cell *matHeaderCellDef style="width: 65px">Id</th>
                                                <td mat-cell *matCellDef="let aux" style="width: 65px">{{ aux.idAlumno
                                                        }}</td>
                                        </ng-container>
                                        <ng-container matColumnDef="nombres">
                                                <th mat-header-cell *matHeaderCellDef style="width: 210px">Nombres</th>
                                                <td mat-cell *matCellDef="let aux" style="width: 210px">{{ aux.nombres}}
                                                </td>
                                        </ng-container>

                                        <ng-container matColumnDef="apellidos">
                                                <th mat-header-cell *matHeaderCellDef style="width: 220px">Apellidos
                                                </th>
                                                <td mat-cell *matCellDef="let aux" style="width: 220px">{{
                                                        aux.apellidos}}</td>
                                        </ng-container>
                                        <ng-container matColumnDef="telefono">
                                                <th mat-header-cell *matHeaderCellDef style="width: 200px">Telefono</th>
                                                <td mat-cell *matCellDef="let aux" style="width: 200px">{{
                                                        aux.telefono}}</td>
                                        </ng-container>
                                        <ng-container matColumnDef="dni">
                                                <th mat-header-cell *matHeaderCellDef style="width: 170px">DNI</th>
                                                <td mat-cell *matCellDef="let aux" style="width: 170px">{{ aux.dni }}
                                                </td>
                                        </ng-container>
                                        <ng-container matColumnDef="correo">
                                                <th mat-header-cell *matHeaderCellDef style="width: 350px">E-mail</th>
                                                <td mat-cell *matCellDef="let aux" style="width: 350px">{{ aux.correo}}
                                                </td>
                                        </ng-container>
                                        <ng-container matColumnDef="estado">
                                                <th mat-header-cell *matHeaderCellDef style="width: 180px">Estado</th>
                                                <td mat-cell *matCellDef="let aux" style="width: 180px">{{ aux.estado ==
                                                        1 ? "Activo" : "Inactivo" }}</td>
                                        </ng-container>
                                        <ng-container matColumnDef="pais">
                                                <th mat-header-cell *matHeaderCellDef style="width: 200px">País</th>
                                                <td mat-cell *matCellDef="let aux" style="width: 200px">{{
                                                        aux.pais!.nombre }}</td>
                                        </ng-container>

                                        <ng-container matColumnDef="modalidad">
                                                <th mat-header-cell *matHeaderCellDef style="width: 190px">Modalidad
                                                </th>
                                                <td mat-cell *matCellDef="let aux" style="width: 190px">{{
                                                        aux.modalidad!.descripcion }}</td>
                                        </ng-container>

                                        <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
                                        <mat-row *matRowDef="let row; columns: displayedColumns"></mat-row>

                                </mat-table>
                                <mat-paginator [pageSizeOptions]="[2, 4, 6]" showFirstLastButtons></mat-paginator>

                        </div>

                </div>


        </div>